Skip to main content
GET
/
v1
/
voices
/
{voice_id}
Get Voice
curl --request GET \
  --url https://api.oneinbox.ai/v1/voices/{voice_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "provider": "<string>",
  "provider_voice_id": "<string>",
  "name": "<string>",
  "gender": "<string>",
  "language": "<string>",
  "accent": "<string>",
  "preview_url": "<string>",
  "credential_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Your API key sent as a Bearer credential — Authorization: Bearer <api_key>, where <api_key> starts with oi_sk_ (create one via POST /v1/api-keys). Although the field is labelled 'token', paste your API key here. A dashboard JWT is also accepted on this header for the same endpoints.

Path Parameters

voice_id
string<uuid>
required

Response

Successful Response

id
string
required
provider
string
required
provider_voice_id
string
required
name
string
required
gender
string | null
required
language
string | null
required
accent
string | null
required
preview_url
string | null
required
credential_id
string
required
created_at
string<date-time>
required